메인 콘텐츠로 건너뛰기
POST
/
augment
/
scrape
/api/v1/augment/scrape
curl --request POST \
  --url https://api.venice.ai/api/v1/augment/scrape \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "url": "https://example.com"
}
'
{
  "url": "https://example.com",
  "content": "<string>",
  "format": "markdown"
}
이것은 실험적 API입니다. 요청 및 응답 형식은 사전 통보 없이 변경될 수 있습니다.
url 필드에 공개적으로 접근 가능한 URL을 보내세요. API는 페이지 콘텐츠를 markdown으로 반환합니다. 스크래퍼는 먼저 대상 사이트의 네이티브 markdown 지원(Cloudflare Markdown for Agents 사용)을 시도한 다음 헤드리스 브라우저 추출로 폴백합니다. 자동화된 접근을 차단하는 일부 사이트(예: X/Twitter, Reddit)는 400 오류와 함께 즉시 거부됩니다. 가격: 요청당 $0.01.

예제 (cURL)

curl -X POST https://api.venice.ai/api/v1/augment/scrape \
  -H "Authorization: Bearer $VENICE_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"url": "https://example.com"}'

인증

Authorization
string
header
필수

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

본문

application/json
url
string<uri>
필수

The URL to scrape

예시:

"https://example.com"

응답

Successfully scraped the URL

url
string
필수

The URL that was scraped

예시:

"https://example.com"

content
string
필수

The scraped content in markdown format

format
enum<string>
필수

The format of the scraped content

사용 가능한 옵션:
markdown